发新帖

重新打包最新的QtScrcpy手机投屏软件,原来的帖子不能编辑了

fir_cloud / 2020-3-31 20:10
浏览: 1524 / 回复: 28
查看: 1524|回复: 31

重新打包最新的QtScrcpy手机投屏软件,原来的帖子不能编辑了

[复制链接]
收藏
跳转到指定楼层
Edited by fir_cloud at 2020-4-19 19:43

本帖最后由 fir_cloud 于 2020-3-31 21:58 编辑

打包了deepin v20版本
链接: https://pan.baidu.com/s/1ivzVCUndESLYlORgCL5D_Q 提取码: hcc2
///////////////////////////////////////////
相较于原来的软件,我做了几个我认为因该改进的地方。
1,原来的软件不能将对话框最小化,我加上了最小化按钮
2,原来的显示手机的窗口与控制手机的工具栏操作不一致,例如将显示手机画面的窗口最小化后,右边的工具栏却不会最小化,在此我做了改进,使得二者同步。
3,对于windows下的运用,直接下载作者的整个文件夹如果没有安装过vc_distrx64.exe,无法运行软件,我将二进制文件和配置文件以及相关的依赖库做了自动化处理,打包成普通用户一键安装,一键卸载的安装包,和安装QQ软件一样的。经过测试,支持windows10,windows7虽然可以运行,但是由于opengl版本不兼容,可以运行但是无法渲染,其他版本没有尝试过。
4,对于linux平台,发行版太多,作者没有打包。对此,我分别针对ubuntu18.04和deepin15.11分别进行了打包。因为ubuntu18.04是我学习工作频繁利用的系统,可惜对用户貌似不大友好,deepin虽然对用户好些,但是内核太老总不更新,相关工具的兼容性实在不敢恭维。
5,ubuntu版本的软件包只在自己机器上测试过,内核版本为5.3.43什么的,没有在干净的系统上测试过,但是在以前按照这种方式实验室干净的虚拟机测过没问题。deepin版本的也是如此,但是这次我在笔记本电脑上,virtualbox测试没问题,在parallel却提示opengl版本问题渲染失败,不知道是不是虚拟机的opengl问题。有问题在帖子下讨论。
6,再次对软件作者的奉献精神表达的由衷的敬仰,这个软件实际上具有很大的商业潜力,向日葵,apowermirr之类的其实和它差不多,但是他们收费。
前一段时间有位朋友发邮件给我要我更新下软件,我拒绝了他,因为我也有事。其实大家有问题在帖子下讨论就行,因为如果我连看帖子的时间都没有,哪来的时间更新软件包呢?
7,放上各个发行版软件包
ububtu18.04链接:https://pan.baidu.com/s/1zyXdnYOs6hLKOkiXGptS0w
提取码:dsd2
deepin15.11链接:链接:https://pan.baidu.com/s/1jjjHbp_2O6S3_kyqTaFsEw
提取码:o99c
windows10链接:https://pan.baidu.com/s/1cGxk5xBgpe_yZjyoK-u6Mw
提取码:wgjt
最后再问下,为啥我访问不了深度系统的网站,你们可以正常访问么?我一直都是挂代理访问的。。。。。。

win10安装

win10安装

win10下运行

win10下运行


==========================分割线,下面是老帖内容============================
原帖地址https://bbs.deepin.org/forum.php?mod=viewthread&tid=187668

评分

参与人数 4贡献 +10 收起 理由
jianguo922 + 3 加分鼓励 : )
archlte + 1 大佬喝茶
wildgoose + 3 加分鼓励 : )
a2035274 + 3 加分鼓励 : )

查看全部评分

4

主题

173

帖子

569

积分

-r--r--r--

Rank: 3Rank: 3

积分
569
jerry979 发表于 2020-3-31 20:41:45 | 显示全部楼层
给大佬点个赞
LENOVO IDEAPAD G400s 20244 Notebook
Deepin 20 Beta Linux 5.3.0-3-amd64 (Debian 8.3.0-6) #1 SMP deepin 5.3.15-6apricot (2020-04-13)
Intel(R) Core(TM) i5-3230M @ 2.60GHz x 4
LENOVO INVALID (Lenovo HM76 Express Chipset LPC Controller)

NVIDIA GF117M [GeForce 610M/710M/810M/820M / GT 620M/625M/630M/720M]
Intel 3rd Gen Core processor Graphics Controller

0

主题

5

帖子

74

积分

-r--------

Rank: 1

积分
74
yu21393326240 发表于 2020-3-31 20:51:39 | 显示全部楼层
厉害那大佬

250

主题

1万

帖子

5万

积分

d-rw-rw-r--

Rank: 8Rank: 8

积分
51061
jingle 官方管理员 发表于 2020-3-31 21:03:28 来自移动端 | 显示全部楼层
给大佬递烟

9

主题

43

帖子

236

积分

-r--r-----

Rank: 2

积分
236
kevin_870223 发表于 2020-4-2 00:43:24 | 显示全部楼层
太牛了,我之前一直在弄scrcpy,怎么都不成功。在网上看了几天的教程都没有搞定,今天突然看到这个贴,试了一下。居然连上了!!

9

主题

43

帖子

236

积分

-r--r-----

Rank: 2

积分
236
kevin_870223 发表于 2020-4-2 00:44:35 | 显示全部楼层
建议楼主推荐给deepin官方,让他们加入到商店,造福其他小伙伴。

7

主题

111

帖子

351

积分

-r--r-----

Rank: 2

积分
351
deepin2020cn 发表于 2020-4-2 21:42:56 | 显示全部楼层
uos sp1安装后无法打开

2

主题

25

帖子

183

积分

-r--------

Rank: 1

积分
183
fir_cloud 发表于 2020-4-3 09:56:57 | 显示全部楼层
kevin_870223 发表于 2020-4-2 00:44
建议楼主推荐给deepin官方,让他们加入到商店,造福其他小伙伴。

我也不知道怎么在商店上架,再说这是其他大神写的,我只是改进和打包,如果知道怎么弄,你可以自己弄一下啊

2

主题

25

帖子

183

积分

-r--------

Rank: 1

积分
183
fir_cloud 发表于 2020-4-3 09:59:05 | 显示全部楼层
deepin2020cn 发表于 2020-4-2 21:42
uos sp1安装后无法打开

二者内核和默认qt版本不同,是不能通用的,这也是linux系统最大的缺点

25

主题

77

帖子

408

积分

-r--r--r--

Rank: 3Rank: 3

积分
408
ivye 发表于 2020-4-3 21:18:09 | 显示全部楼层
我的深度  估计是后爹养大的。。能安装单点击没有任何反应。。。

2

主题

25

帖子

183

积分

-r--------

Rank: 1

积分
183
fir_cloud 发表于 2020-4-4 14:12:15 | 显示全部楼层
ivye 发表于 2020-4-3 21:18
我的深度  估计是后爹养大的。。能安装单点击没有任何反应。。。

只适用于15.11要是升级过内核啥的基本组件也不兼容,还有ubuntu的包与deepin的包不兼容,以前安装过先彻底卸载再安装

2

主题

25

帖子

183

积分

-r--------

Rank: 1

积分
183
fir_cloud 发表于 2020-4-4 14:12:43 | 显示全部楼层
ivye 发表于 2020-4-3 21:18
我的深度  估计是后爹养大的。。能安装单点击没有任何反应。。。

只适用于15.11要是升级过内核啥的基本组件也不兼容,还有ubuntu的包与deepin的包不兼容,以前安装过先彻底卸载再安装

0

主题

18

帖子

126

积分

-r--------

Rank: 1

积分
126
lyy274593052 发表于 2020-4-4 17:32:02 | 显示全部楼层
我通过USB连接手机后点击“刷新设备列表”选择手机后,点击“获取设备IP”后,点击“启动adbd”,然后点击“无线连接”没有反应。无线连接是怎么操作呀?

25

主题

77

帖子

408

积分

-r--r--r--

Rank: 3Rank: 3

积分
408
ivye 发表于 2020-4-4 23:53:14 来自移动端 | 显示全部楼层
fir_cloud replied at 2020-4-4 14:12
只适用于15.11要是升级过内核啥的基本组件也不兼容,还有ubuntu的包与deepin的包不兼容,以前安装过先彻 ...

没有升级过内核下载安装deepin和ubuntu的包都试过,能安装,安装之后点击没有任何反应,系统是deepin15.11的。。之前从没有安装过此类软件。。。

25

主题

77

帖子

408

积分

-r--r--r--

Rank: 3Rank: 3

积分
408
ivye 发表于 2020-4-6 01:29:39 | 显示全部楼层
终端运行出错提示
/opt/QtScrcpy/QtScrcpy.sh: 行 12:  9502 段错误               $dirname/$appname "$@"

27

主题

214

帖子

827

积分

-rw-r--r--

Rank: 4

积分
827
curtain_night 发表于 2020-4-7 21:58:04 | 显示全部楼层
本帖最后由 curtain_night 于 2020-4-8 12:42 编辑

按~键,不能像Windows那样键盘映射,吃鸡没法像在Windows平台上玩了

27

主题

214

帖子

827

积分

-rw-r--r--

Rank: 4

积分
827
curtain_night 发表于 2020-4-16 22:38:18 | 显示全部楼层
能编译一下V20版本嘛

2

主题

25

帖子

183

积分

-r--------

Rank: 1

积分
183
fir_cloud 发表于 2020-4-18 20:00:14 | 显示全部楼层
curtain_night 发表于 2020-4-16 22:38
能编译一下V20版本嘛

V20版本?我都装不上他怎么编译打包~

点评

也太惨了吧  发表于 2020-4-18 21:35

222

主题

1558

帖子

8022

积分

drw-r-----

Rank: 7Rank: 7Rank: 7

积分
8022
QQ
MMDMM 志愿者 发表于 2020-4-19 13:53:13 | 显示全部楼层
deepin v20 bata 版本 可以安装但是打不开!!
深度 bug 王 [img]https://bbs.deepin.org/static/image/smiley/raccoon/[joy].gif[/img]

2

主题

25

帖子

183

积分

-r--------

Rank: 1

积分
183
fir_cloud 发表于 2020-4-19 19:40:29 来自移动端 | 显示全部楼层
Edited by fir_cloud at 2020-4-19 19:45
MMDMM replied at 2020-4-19 13:53
deepin v20 bata 版本 可以安装但是打不开!!

v20版本的我已经打包调试好了

点评

能发一下链接吗???  发表于 2020-4-20 17:35
能发一下链接吗  发表于 2020-4-19 21:05
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回列表 返回版块 返回顶部